Bug 729357 - ipa-server-install fails on DNS errors when no DNS check is required
Summary: ipa-server-install fails on DNS errors when no DNS check is required
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: freeIPA
Classification: Retired
Component: ipa-server
Version: unspecified
Hardware: x86_64
OS: Linux
high
urgent
Target Milestone: ---
Assignee: Martin Kosek
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 729377
TreeView+ depends on / blocked
 
Reported: 2011-08-09 16:25 UTC by Ronen Angluster
Modified: 2015-01-04 23:50 UTC (History)
6 users (show)

Fixed In Version: freeipa-2.1.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 729377 (view as bug list)
Environment:
Last Closed: 2011-08-31 08:13:06 UTC


Attachments (Terms of Use)

Description Ronen Angluster 2011-08-09 16:25:48 UTC
Description of problem:
in RHEVM we implement a wrapper to install IPA with the simplest configuration possible, no CA is required, no kerberos and no DNS configuration.
the only host that can connect to the IPA instance we deploy is from within the host. yet ipa-server-install still preforms DNS checks (even with the --no-dns flag supplied) which can fail the installation. we need a method to install IPA which will be bullet proof and will not perform checks that protect functions we do not intend to use.

for example:
ipaserver.install.installutils.verify_fqdn still verify the reverse dns lookup for the ip address of the host even tho the --no-dns flag is provided.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Ronen Angluster 2011-08-10 13:17:23 UTC
clarification: the flag is: --no-host-dns

Comment 2 Martin Kosek 2011-08-10 20:05:36 UTC
This was already closed upstream and will be released as part of future FreeIPA release (2.1).

Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1246


Note You need to log in before you can comment on or make changes to this bug.